%EXPANDDIM   Appends dimensions of size 1
%   
% SYNOPSIS:
%  B = EXPANDDIM(A,NDIM) 
%
% PARAMETERS:
%  A: input image
%  NDIM: number of required dimensions
%
% EXAMPLE:
%  a = readim;
%  b = expanddim(a,3);
%  size(b)
%
% SEE ALSO:
%  squeeze

% (C) Copyright 1999-2006               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Rainer Heintzmann, Ondrej Mandula, April 2006.

function out = expanddim(in,dimensions)

if length(dimensions)~=1
   error('Number of dimensions must be scalar.');
end

sizevec = size(in);
newsvec=squeeze(ones(1,dimensions));
newsvec(1:size(sizevec,2))=sizevec(:);
out = reshape(in,newsvec);
